import fp from 'fastify-plugin';
import database from '#plugins/database/index';

async function plugin(fastify, opts) {
    fastify.log.warn('Register Global Plugin!');
    // 加载配置
    fastify.decorate('config', opts.config);
    // 注册数据库
    await fastify.register(database);
    fastify.log.warn(fastify.db.tableList);
    // 读取数据库基本信息
    fastify.log.warn('Register Global Plugin complete!');
}
export default fp(plugin);
